<?php
/*
Plugin Name: Custom Styles
Plugin URI: http://www.speckygeek.com
Description: Añade un desplegable de estilos para aplicar en el editor de Wordpress (TinyMCE WYSIWYG editor)
Basado en TinyMCE Kit plug-in for WordPress

http://plugins.svn.wordpress.org/tinymce-advanced/branches/tinymce-kit/tinymce-kit.php

*/
/**
 * Aplica estilos extra al editor TinyMCE 
 */  
add_filter('mce_css', 'custom_css_editor_style');
function custom_css_editor_style($url) {

    if ( !empty($url) )
        $url .= ',';

    // Obtiene la url del fichero css a aplicar
    $url .=  plugin_dir_url(__FILE__)  . 'custom-editor-styles.css';

    return $url;
}

/**
 * Añade el selector de estilos justo al principio 
 * de la barra avanzada (la que se puede desplegar)
 */ 
add_filter( 'mce_buttons_2', 'custom_css_editor_buttons' );

function custom_css_editor_buttons( $buttons ) {
    array_unshift( $buttons, 'styleselect' );
    return $buttons;
}

/**
 * Añade estilos al selector anterior
 */ 
add_filter( 'tiny_mce_before_init', 'custom_css_editor_before_init' );

function custom_css_editor_before_init( $settings ) {

    $style_formats = array(
        array(
            'title' => 'Link Descarga',
            'selector' => 'a',
            'classes' => 'download'
            ),
        array(
            'title' => 'Testimonio',
            'selector' => 'p',
            'classes' => 'testimonial',
        ),
        array(
            'title' => 'Caja Texto',
            'block' => 'div',
            'classes' => 'cajaTexto',
            'wrapper' => true
        ),
        array(
            'title' => 'Code',
            'inline' => 'code',
            
        )
    );

    $settings['style_formats'] = json_encode( $style_formats );

    return $settings;

}

/* Formatos de TinyMCE en http://www.tinymce.com/wiki.php/Configuration:formats */

/*
 * 
 * Añadimos el css del editor al front-end (Si queremos..)
 */
add_action('wp_enqueue_scripts', 'custom_css_editor_enqueue');


function custom_css_editor_enqueue() {
  $StyleUrl = plugin_dir_url(__FILE__).'custom-editor-styles.css'; 
  wp_enqueue_style( 'myCustomStyles', $StyleUrl );
}
